      subroutine def_his (ncid, total_rec, ierr)      


      use Agrif_Util
#include "Param_BeforeCall_def_his.h"
      integer(4) :: ncid
      integer(4) :: total_rec
      integer(4) :: ierr
      

        call Sub_Loop_def_his(ncid,total_rec,ierr, Agrif_tabvars_i(95)%i
     &array0, Agrif_tabvars_i(94)%iarray0, Agrif_tabvars_i(93)%iarray0, 
     &Agrif_tabvars_i(77)%iarray0, Agrif_tabvars_i(76)%iarray0, Agrif_ta
     &bvars_i(75)%iarray0, Agrif_tabvars_i(84)%iarray0, Agrif_tabvars_i(
     &83)%iarray0, Agrif_tabvars_i(91)%iarray0, Agrif_tabvars_i(90)%iarr
     &ay0, Agrif_tabvars_i(89)%iarray0, Agrif_tabvars_i(88)%iarray0, Agr
     &if_tabvars_i(72)%iarray0, Agrif_tabvars_i(71)%iarray0, Agrif_tabva
     &rs_i(70)%iarray0, Agrif_tabvars_i(74)%iarray0, Agrif_tabvars_i(73)
     &%iarray0, Agrif_tabvars_i(69)%iarray0, Agrif_tabvars_i(86)%iarray0
     &, Agrif_tabvars_i(85)%iarray0, Agrif_tabvars_i(92)%iarray0, Agrif_
     &tabvars_i(82)%iarray0, Agrif_tabvars_i(96)%iarray1, Agrif_tabvars_
     &i(81)%iarray0, Agrif_tabvars_i(80)%iarray0, Agrif_tabvars_i(68)%ia
     &rray0, Agrif_tabvars_i(67)%iarray0, Agrif_tabvars_i(66)%iarray0, A
     &grif_tabvars_l(1)%larray1, Agrif_tabvars_i(64)%iarray0, Agrif_tabv
     &ars_i(63)%iarray0, Agrif_tabvars_c(18)%carray2, Agrif_tabvars_i(65
     &)%iarray0, Agrif_tabvars_i(27)%iarray0, Agrif_tabvars_i(26)%iarray
     &0, Agrif_tabvars_i(25)%iarray0, Agrif_tabvars_i(24)%iarray0, Agrif
     &_tabvars_i(176)%iarray0, Agrif_tabvars_l(4)%larray0, Agrif_tabvars
     &_i(62)%iarray0, Agrif_tabvars_c(8)%carray0)

      end


#include "Sub_Loop_def_his.h"
      subroutine def_avg (ncid, total_rec, ierr)      


      use Agrif_Util
#include "Param_BeforeCall_def_avg.h"
      integer(4) :: ncid
      integer(4) :: total_rec
      integer(4) :: ierr
      

        call Sub_Loop_def_avg(ncid,total_rec,ierr, Agrif_tabvars_i(133)%
     &iarray0, Agrif_tabvars_i(132)%iarray0, Agrif_tabvars_i(131)%iarray
     &0, Agrif_tabvars_i(114)%iarray0, Agrif_tabvars_i(113)%iarray0, Agr
     &if_tabvars_i(112)%iarray0, Agrif_tabvars_i(121)%iarray0, Agrif_tab
     &vars_i(120)%iarray0, Agrif_tabvars_i(128)%iarray0, Agrif_tabvars_i
     &(127)%iarray0, Agrif_tabvars_i(126)%iarray0, Agrif_tabvars_i(125)%
     &iarray0, Agrif_tabvars_i(109)%iarray0, Agrif_tabvars_i(108)%iarray
     &0, Agrif_tabvars_i(107)%iarray0, Agrif_tabvars_i(111)%iarray0, Agr
     &if_tabvars_i(110)%iarray0, Agrif_tabvars_i(106)%iarray0, Agrif_tab
     &vars_i(123)%iarray0, Agrif_tabvars_i(122)%iarray0, Agrif_tabvars_i
     &(129)%iarray0, Agrif_tabvars_i(119)%iarray0, Agrif_tabvars_i(130)%
     &iarray1, Agrif_tabvars_i(118)%iarray0, Agrif_tabvars_i(117)%iarray
     &0, Agrif_tabvars_i(105)%iarray0, Agrif_tabvars_i(104)%iarray0, Agr
     &if_tabvars_i(103)%iarray0, Agrif_tabvars_l(2)%larray1, Agrif_tabva
     &rs_i(101)%iarray0, Agrif_tabvars_i(100)%iarray0, Agrif_tabvars_c(1
     &8)%carray2, Agrif_tabvars_i(102)%iarray0, Agrif_tabvars_i(27)%iarr
     &ay0, Agrif_tabvars_i(26)%iarray0, Agrif_tabvars_i(25)%iarray0, Agr
     &if_tabvars_i(24)%iarray0, Agrif_tabvars_i(176)%iarray0, Agrif_tabv
     &ars_l(4)%larray0, Agrif_tabvars_i(99)%iarray0, Agrif_tabvars_c(16)
     &%carray0)

      end


#include "Sub_Loop_def_avg.h"
